﻿attach 'D:\Coding\MP\MP2\MP2_git\TVE35\Migrate_3_to_35\MP2TVE_3.s3db' as old;

--delete from channels;
insert into channels (id, idChannel,timesWatched,totalTimeWatched,grabEpg,
  lastGrabTime,
  sortOrder,
  visibleInGuide,
  externalId,
  displayName ,
  epgHasGaps,
  mediaType,
  channelNumber)
select  idChannel,idChannel,timesWatched,totalTimeWatched,grabEpg,
  lastGrabTime,
  sortOrder,
  visibleInGuide,
  externalId,
  displayName ,
  epgHasGaps,
  case when isTv = 1 then 0 else 1 end,
  channelNumber
  from old.channel;
  
-- delete from channelgroups;
insert into channelgroups(id, idGroup, groupName, sortorder, mediatype)
select idGroup, idGroup, groupName, sortorder, 0 from old.channelgroup;

insert into channelgroups(id, idGroup, groupName, sortorder, mediatype)
select idGroup, idGroup, groupName, sortorder, 1 from old.radiochannelgroup where groupName!='All Channels'
and idgroup not in(
select id from channelgroups);
 
insert into groupmaps (idGroup, idChannel, sortorder)
select gm.idGroup, gm.idChannel, gm.sortorder from old.groupmap gm inner join old.channelgroup g on(gm.idGroup=g.idgroup);

insert into groupmaps (idGroup, idChannel, sortorder)
select gm.idGroup, gm.idChannel, gm.sortorder from old.radiogroupmap gm;

insert into tuningdetails(idTuning,idTuning,idChannel,name,provider,channelType,channelNumber,frequency,
  countryId,
  networkId ,
  transportId,
  serviceId,
  pmtPid,
  freeToAir,
  modulation ,
  polarisation ,
  symbolrate,
  diseqc,
  --switchingFrequency,
  bandwidth ,
  majorChannel ,
  minorChannel ,
  videoSource,
  tuningSource,
  band,
  satIndex ,
  innerFecRate,
  pilot,
  rollOff ,
  url,
  bitrate,
  audioSource,
  isVCRSignal,
  mediatype
)
select idTuning,idTuning,idChannel,name,provider,channelType,channelNumber,frequency,
  countryId,
  networkId ,
  transportId,
  serviceId,
  pmtPid,
  freeToAir,
  modulation ,
  polarisation ,
  symbolrate,
  diseqc,
  --switchingFrequency,
  bandwidth ,
  majorChannel ,
  minorChannel ,
  videoSource,
  tuningSource,
  band,
  satIndex ,
  innerFecRate,
  pilot,
  rollOff ,
  url,
  bitrate,
  audioSource,
  isVCRSignal,
  case when isTv = 1 then 0 else 1 end
from old.tuningdetail;

-- delete from tuningdetails where url <>'';
-- delete from settings;

insert into settings(id, idsetting, tag,value)
select idsetting, idsetting, tag,value from old.setting;

insert into schedules(Id, IdSchedule, IdChannel,
    "ScheduleType" ,
    "ProgramName" ,
    "StartTime",
    "EndTime",
    "MaxAirings",
    "Priority",
    "Directory",
    "Quality",
    "KeepMethod" ,
    "KeepDate",
    "PreRecordInterval" ,
    "PostRecordInterval",
    "Canceled",
    "Series"
    --,    "IdParentSchedule"
    )
select Id_Schedule, Id_Schedule, IdChannel,
    "ScheduleType" ,
    "ProgramName" ,
    "StartTime",
    "EndTime",
    "MaxAirings",
    "Priority",
    "Directory",
    "Quality",
    "KeepMethod" ,
    "KeepDate",
    "PreRecordInterval" ,
    "PostRecordInterval",
    "Canceled",
    "Series"
    --,    "IdParentSchedule" 
    from old.schedule;
    
detach  old;